Summary:          The bitgtkmm library provides gtkmm widgets for the bit library
Name:             bitgtkmm
Version:          0.4.0
Release:          2%{?dist}
License:          LGPL
URL:              http://libbit.sourceforge.net/gtkmm
Group:            System Environment/Libraries
Source:           http://download.sourceforge.net/libbit/%{name}-%{version}.tar.bz2
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    gtkmm24-devel >= 2.6.0 bit-devel >= 0.4.1 pkgconfig

%description
The bitgtkmm library provides gtkmm widgets to display the buffers, records,
fields and elements of the bit library.

%package          devel
Summary:          Headers for developing programs that will use %{name}
Group:            Development/Libraries
Requires:         bitgtkmm = %{version}-%{release}
Requires:         gtkmm24-devel >= 2.6.0 bit-devel >= 0.4.1 pkgconfig

%description    devel
This package contains the libraries and header files needed for
developing %{name} applications.

%prep
%setup -q

%build
%configure --enable-static=no
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} INSTALL="%{__install} -p" install
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_libdir}/lib*bitgtkmm*.so.*


%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*bitgtkmm*.so
%{_libdir}/pkgconfig/bitgtkmm*.pc
%{_includedir}/bitgtkmm-0.4/
%doc ChangeLog docs/reference

%changelog
* Mon Mar 13 2007 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.0-2
- Rebuild against bit 0.4.1

* Mon Mar 12 2007 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.0-1
- New release
- Added -p option to make install to preserve timestamps
- Removed cp of docs and changed doc inclusion to docs/reference
- Removed search for gtkbuffer since it is now noinst

* Sun Aug 27 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.2-5
- Bump release for mass rebuild

* Mon Jul 31 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.2-4
- Added pkgconfig to -devel Requires

* Sat Jul 29 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.2-3
- Changed make to %%{__make}
- Changed %%{name} to autoconf subst that puts specific name in devel requires
- Added comment regarding why cp occurs for docs
- Added package name to globs in so libs, .pc and demos
- Changed general bindir remove to specifically remove gtkbuffer

* Fri Jul 07 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.2-2
- Changed /usr/bin to %%{_bindir}

* Thu Jul 06 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.2-1
- New upstream release
- Removed *.md5, *.map and *.dot in upstream package
- Changed mv of docs to cp

* Thu Jun 22 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.1-2
- Added AUTHORS and COPYING to bitgkmm main package
- Changed prdownloads.sf.net to download.sf.net

* Mon May 15 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.1-1
- Removed doxygen and graphviz BuildRequires since docs are now in dist
- Changed doc directory to represent new location in dist
- Fixed sf download location

* Thu Mar 23 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.0-1
- Initial release split from bit
